Home

Cosmos API - Added Methods

v1.5.3
Base URL
https://axelar.nownodes.ioAxelar API (API Changelog 1.4.10 to 1.5.3)

API Changelog 1.4.10 to 1.5.3 - Cosmos API added methods. These methods first appear in version 1.5.3 and did not exist in version 1.4.10. Each method is documented in full, in the format of the 1.5.3 API reference.

API Changelog 1.4.10 to 1.5.3 / Added methods

Service

GetLatestBlock returns the latest block.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/blocks/latest

New in 1.5.3: this CometBFT endpoint did not exist in the 1.4.10 API. In 1.4.10 the equivalent data was exposed only under /cosmos/base/tendermint/v1beta1, and those tendermint endpoints remain available in 1.5.3.

Response

200OK

A successful response.

default

An unexpected error response

GetBlockByHeight queries block for given height.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/blocks/{height}

New in 1.5.3: this CometBFT endpoint did not exist in the 1.4.10 API. In 1.4.10 the equivalent data was exposed only under /cosmos/base/tendermint/v1beta1, and those tendermint endpoints remain available in 1.5.3.

Parameters

heightstring<int64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response

GetNodeInfo queries the current node info.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/node_info

New in 1.5.3: this CometBFT endpoint did not exist in the 1.4.10 API. In 1.4.10 the equivalent data was exposed only under /cosmos/base/tendermint/v1beta1, and those tendermint endpoints remain available in 1.5.3.

Response

200OK

A successful response.

default

An unexpected error response

GetSyncing queries node syncing.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/syncing

New in 1.5.3: this CometBFT endpoint did not exist in the 1.4.10 API. In 1.4.10 the equivalent data was exposed only under /cosmos/base/tendermint/v1beta1, and those tendermint endpoints remain available in 1.5.3.

Response

200OK

A successful response.

default

An unexpected error response

GetLatestValidatorSet queries latest validator-set.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/validatorsets/latest

New in 1.5.3: this CometBFT endpoint did not exist in the 1.4.10 API. In 1.4.10 the equivalent data was exposed only under /cosmos/base/tendermint/v1beta1, and those tendermint endpoints remain available in 1.5.3.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

GetValidatorSetByHeight queries validator-set at a given height.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/validatorsets/{height}

New in 1.5.3: this CometBFT endpoint did not exist in the 1.4.10 API. In 1.4.10 the equivalent data was exposed only under /cosmos/base/tendermint/v1beta1, and those tendermint endpoints remain available in 1.5.3.

Parameters

heightstring<int64>requiredpath
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

QueryService

Grants returns list of Authorization, granted to the grantee by the granter for a specific msg type.

GET
https://axelar.nownodes.io/cosmos/authz/v1beta1/grants/granter/{granter}/grantee/{grantee}

New in 1.5.3: grants query addressed by granter and grantee path parameters. This endpoint did not exist in the 1.4.10 API, where grants were queried only via /cosmos/authz/v1beta1/grants with query-string parameters; that endpoint remains available in 1.5.3.

Parameters

granterstringrequiredpath
granteestringrequiredpath
msg_type_urlstringquery
pagination.keystring<byte>query
pagination.offsetstring<uint64>query
pagination.limitstring<uint64>query
pagination.count_totalbooleanquery
pagination.reversebooleanquery

Response

200OK

A successful response.

default

An unexpected error response